Upgrading Sterling B2B Integrator version 6.1.2.1 and above with TLS enabled Database Connections (applicable only to Oracle and MSSQL)

Microsoft SQL Server

If the Sterling B2B Integrator is enabled to use TLS connection to database in the current version of Sterling B2B Integrator, the TLS version needs to be updated to use TLS version 1.2. To upgrade databases using TLS connections, make sure the property tls_version is set to TLSv1.2 only in the sandbox.cfg file under the Sterling B2B Integrator properties directory. Make sure to update the tls_version property if it is set to TLSv1.1 or TLSv1.0 in sandbox.cfg.

Oracle

If the Sterling B2B Integrator is enabled to use TLS connection to database in the current version of Sterling B2B Integrator, the TLS version needs to be updated to use TLS version 1.2. To upgrade databases using TLS connections, make sure the property tls_version is set to 1.2 only in the sandbox.cfg file under the Sterling B2B Integrator properties directory. Make sure to update the tls_version property if it is set to 1.1 or 1.0 in sandbox.cfg.